#include <iostream>
#include <fstream>

using namespace std;

struct compte {
   char nom[16];
   int uid; // identifiant d'utilisateur
   int gid; // identifiant de groupe
};

int main()
{ 
  ofstream ofile("essai.dat");
  struct compte toto = { "toto", 500, 500 };
  int ret;

  if (! ofile.is_open()) 
  {
    cout << "Ouverture en écriture du fichier impossible !\n";
    return -1;
  }
 
  cout << "Taille de l'enregistrement : " << sizeof(struct compte) << " octets\n";
  
  ofile.write((char *)&toto, (streamsize)sizeof(struct compte));
  if(ofile.fail())
  {
     cout << "Erreur lors de l'écriture de l'enregistrement dans le fichier !\n";
     ofile.close();
     return -2;
  }
  
  ofile.close();
  
  return 0;
}
